stages:
    - build
    - test
    - deploy

build job:
    stage: build
    script:
        - echo "Building"
    tags:
        - test

test job:
    stage: test
    script:
        - echo "Testing 1"
    tags:
        - test

test job 2:
    stage: test
    script:
        - echo "Testing 2"
    tags:
        - test

deploy job:
    stage: deploy
    script:
        - echo "Deploying"
    tags:
        - test
